Skip to main content
GET
/
logs
/
calls
Get Call Logs
curl --request GET \
  --url https://api.example.com/logs/calls \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/logs/calls"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/logs/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "log_type": "<string>",
    "log_level": "<string>",
    "message": "<string>",
    "timestamp": "<string>",
    "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "details": {},
    "user_id": "<string>",
    "trace_id": "<string>",
    "request_id": "<string>"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start_date
string<date-time> | null

Start date for filtering

end_date
string<date-time> | null

End date for filtering

agent_id
string<uuid> | null

Filter by agent ID

limit
integer
default:100

Maximum number of records

Required range: 1 <= x <= 1000

Response

Successful Response

id
string<uuid>
required
tenant_id
string<uuid>
required
log_type
string
required
log_level
string
required
message
string
required
timestamp
string
required
agent_id
string<uuid> | null
session_id
string<uuid> | null
call_id
string<uuid> | null
details
Details · object | null
user_id
string | null
trace_id
string | null
request_id
string | null